summaryrefslogtreecommitdiffhomepage
path: root/build
diff options
context:
space:
mode:
authorSteven Barth <steven@midlink.org>2008-08-22 17:18:36 +0000
committerSteven Barth <steven@midlink.org>2008-08-22 17:18:36 +0000
commit9c6a852939c4f16f5d82299ff7b3a10f15ac3db0 (patch)
tree070f5e179d8205f0d9c0807545f4de20660c1c64 /build
parentdcf0f6146fb3beb47b4d677b29be5f13d86ea1e6 (diff)
Updated XML translation system, fixed some errors with multiline-translations
Thanks: Alina Friedrichsen
Diffstat (limited to 'build')
-rw-r--r--build/i18n-xml2lua.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/build/i18n-xml2lua.sh b/build/i18n-xml2lua.sh
new file mode 100644
index 000000000..d70e135de
--- /dev/null
+++ b/build/i18n-xml2lua.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Copyright (C) 2008 Alina Friedrichsen <x-alina@gmx.net>
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+i18n_xml2lua() {
+ echo '<?xml version="1.0" encoding="utf-8"?>'
+ echo
+ echo '<i18n:msgs xmlns:i18n="http://luci.freifunk-halle.net/2008/i18n#" xmlns="http://www.w3.org/1999/xhtml">'
+ echo
+ LANG=C sed -e 's/^\s*\([A-Za-z][0-9A-Za-z_]*\)\s*[=]\s*\[\[/<i18n:msg xml:id="\1">/' -e 's/\]\]\s*$/<\/i18n:msg>/' -e 's/^\s*\([A-Za-z][0-9A-Za-z_]*\)\s*[=]\s*["]\(.*\)["]\s*$/<i18n:msg xml:id="\1">\2<\/i18n:msg>/' -e 's/^\s*$//'
+ echo
+ echo '</i18n:msgs>'
+ return 0
+}
+
+for file in "$@"; do
+ i18n_xml2lua < "$file" > "$(dirname "$file")/$(basename "$file" .lua).xml" || exit 1
+done